Module | Prawn::Document::Annotations
In: | lib/prawn/document/annotations.rb

Provides very low-level support for annotations. Those who are interested should check out the text-format branch of sandal/prawn, which includes much higher level interfaces to this code currently being developed by Jamis Buck to be included in a Prawn release soon.

Feedback is welcome!

### Methods

annotate link_annotation text_annotation

### Public Instance methods

annotate(options)

Adds a new annotation (section 8.4 in PDF spec) to the current page. `options` must be a Hash describing the annotation.

link_annotation(rect, options={})

A convenience method for creating Link annotations. `rect` must be an array of four numbers, describing the bounds of the annotation. The `options` hash should include either :Dest (describing the target destination, usually as a string that has been recorded in the document‘s Dests tree), or :A (describing an action to perform on clicking the link), or :PA (for describing a URL to link to).

text_annotation(rect, contents, options={})

A convenience method for creating Text annotations. `rect` must be an array of four numbers, describing the bounds of the annotation. `contents` should be a string, to be shown when the annotation is activated.

[Validate]